DL_SS< KEYS, SA, MEM, H, ALG_INFO > Class Template Reference

Discrete Log (DL) signature scheme. More...

Inheritance diagram for DL_SS< KEYS, SA, MEM, H, ALG_INFO >:

## Public Types

typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

template<class KEYS, class SA, class MEM, class H, class ALG_INFO = DL_SS<KEYS, SA, MEM, H, int>>
class DL_SS< KEYS, SA, MEM, H, ALG_INFO >

Discrete Log (DL) signature scheme.

Template Parameters

  KEYS | keys used in the signature scheme
  SA | signature algorithm
  MEM | message encoding method
  H | hash function
  ALG_INFO | algorithm information

Definition at line 2341 of file pubkey.h.

## Member Typedef Documentation

## Signer

template<class KEYS, class SA, class MEM, class H, class ALG_INFO = DL_SS<KEYS, SA, MEM, H, int>>

typedef PK_FinalTemplate<DL_SignerImpl<SchemeOptions> > DL_SS< KEYS, SA, MEM, H, ALG_INFO >::Signer

implements PK_Signer interface

Definition at line 2349 of file pubkey.h.

## Verifier

template<class KEYS, class SA, class MEM, class H, class ALG_INFO = DL_SS<KEYS, SA, MEM, H, int>>

typedef PK_FinalTemplate<DL_VerifierImpl<SchemeOptions> > DL_SS< KEYS, SA, MEM, H, ALG_INFO >::Verifier

implements PK_Verifier interface

Definition at line 2351 of file pubkey.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class KEYS, class SA, class MEM, class H, class ALG_INFO = DL_SS<KEYS, SA, MEM, H, int>>

std::string DL_SS< KEYS, SA, MEM, H, ALG_INFO >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 2346 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h